Fills of a TWAP order
curl --request GET \
--url https://api.hypedexer.com/twaps/{twap_id}/fills \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/twaps/{twap_id}/fills"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/twaps/{twap_id}/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "24 fills for TWAP 2230869",
"data": [
{
"user": "0xb16209e95a9693e6462f8c4004da4a824597eb5f",
"coin": "ENA",
"coinMeaning": "ENA",
"px": 0.17936,
"sz": 1117,
"side": "B",
"time": "2026-09-19T07:05:48.010999",
"hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"oid": 549642586101,
"tid": 197797633061547,
"fee": 0.086549,
"feeToken": "USDC",
"builderFee": 0,
"notional": 200.34511999999998,
"priorityGas": null
},
{
"user": "0xb16209e95a9693e6462f8c4004da4a824597eb5f",
"coin": "ENA",
"coinMeaning": "ENA",
"px": 0.17936,
"sz": 3403,
"side": "B",
"time": "2026-09-19T07:05:48.010999",
"hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"oid": 549642586101,
"tid": 288291383004676,
"fee": 0.263676,
"feeToken": "USDC",
"builderFee": 0,
"notional": 610.36208,
"priorityGas": null
}
],
"total_count": 24,
"execution_time_ms": 1208.05,
"next_cursor": null,
"has_more": null
}TWAPs
Fills of a TWAP order
Individual fills of a TWAP order, historical and live merged.
GET
/
twaps
/
{twap_id}
/
fills
Fills of a TWAP order
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Path Parameters
TWAP ID
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0Available options:
ASC, DESC